
import React, { Component } from 'react';
import BlockDatePicker from '../../src';
import moment from 'moment';
require("react-tap-event-plugin")();
export default class extends Component {
  dateChangehandler(val) {
    console.log(val)
  }
  displayFormat(date) {
    return `${date.year()}年${date.month() + 1}月`;
  }
  render () {
    return <BlockDatePicker
              mode="month"
              onDateChange={this.dateChangehandler.bind(this)}
              minDate={moment([1900,0,1,0,0,0])}
              maxDate={moment([2050,11,31,23,59,59])}
              displayFormat={this.displayFormat.bind(this)}
            />
  }
}
